
wiki.typo3.org - Bug # 47742

Status: Resolved Priority: Must have
Author: Andreas Becker (Andi) Category:
Created: 2013-04-30 Assigned To: Chris topher
Updated: 2013-10-15 Due date:
Subject: More information regarding this error might be available online.
Description

This is in 99% cases a useless message as it leads to empty wiki pages.

From the workflow it is waste of time to click on this link as usually no information is there!

Enhance this message so that people get motivated to tell how they get their error and how they solved it.

Related issues:
related to Core - Bug # 47746: Converting 4.7 sites to 6.1 sites much to comp... Closed 2013-04-30

History
#1 - 2013-05-03 07:44 - Georg Ringer

do you got any proposals?

#2 - 2013-05-03 08:46 - Andreas Becker (Andi)

:-)

Either leve those things out as pages with no help are simply useless or get people motivated to write at least HOW they got to this page i.e. in asking
them some questions - php mysql typo3 versions extensions and collect the data so the extension developer can compare the results.

Right now the user gets a blank wiki page and the developer gets no feedback so it is absolute useless for both sides. OK perhaps we can have a
statistic how offen this page has been called to figure out how often a specific error appears. - Nonsense - sorry!

Solution 1:
Take it out = no frustration for both sides and no information like before as this feature wasn't existing
Solution 2:
Put a questioner on the WIKI page and collect the answers. List them in a blog and not in a WIKI style. Even better, instead of using a wiki you should
use something like http://stackoverflow.com/ where you at least automatically insert the extension, typo3 version and some other data about the system
which causes the error so that people will be able to help. i.e. 
    1. use some features of the report Module to report an error and list it on this page,
    2. offer the one who posted to add his contact data so that others can contact him and ask if necessary if and how he has solved the problem
meanwhile
    3. offer space for further descriptions and give them some ideas where they can get those informations and provide a standardised form so it is
much easier to read - to find important information.
    4. integrate a vote so you can see who else has same problem instead of forcing them to write everything again
    5. ask them if they have filed a bug report and offer them a link to it
    6. offer taks so that the information provided in those error messages get properly indexed and found easier
    7. provide an editor to enter code examples and screenshots
    8. perhaps it is possible to automise some information - click button solution to pull in report data about the system and the error - many people
don't like to write but would be willing to add at least some information by a click
    9. offer a way so that people can enter also solution
http://stackoverflow.com/


    10. an RSS Feed of all newly added errors might help to to make them knowledgeable to the community so people can help

perhaps there are some more ideas which would give a bit of "color and information" to those white wikipages

Andi

#3 - 2013-06-22 22:58 - Chris topher
- Project changed from Core to wiki.typo3.org
- Category deleted (Backend User Interface)
- Status changed from New to Needs Feedback
- Target version deleted (6.1.1)

I currently don't see the time, the money and the manpower to make most of these dreams come a reality. But that does not mean that nothing could
be done. We can e.g. start with improving the header text on the wiki pages, which welcome the user after an error.

Andy, what is your precise proposal for such a text?

#4 - 2013-10-15 21:19 - Chris topher
- Status changed from Needs Feedback to Resolved
- Assigned To set to Chris topher

I have now updated the text to something I find more appropriate.

I am now using a template with this text in it:

{{Note
 |1='''[{{SERVER}}/Special:UserLogin?returnTo={{FULLPAGENAME}}&action=edit Login and contribute]!'''

If you encountered this exception, please help others <br />by providing information about how you got<br /> 
this error. '''Especially if you have a solution''', <br />please 
[{{canonicalurl:{{FULLPAGENAME}}|action=edit}} add it to this page]!
 |2=t3box t3white
}}

Interesting fact: Since there is a "=" inside the text, MediaWiki would see the text as a parameter-value-pair. That way MediaWiki would not display the
text at all. To prevent/fix this problem, I named the parameters explicitly with "1=" and "2=". That way it works correctly.
